# -*- coding: utf-8 -*-

from django.core.urlresolvers import reverse
from django.utils.translation import ugettext as _
from admin_tools.menu import items, Menu
from jmb.core.admin.menu import register_menu
# from jmb.core.conf.admin_menu import GenericMenuItem
from jmb.core.middleware.thread_local import get_current_user

i18n_menu_item = items.MenuItem(
    # GENERAL
    _('i18n'),
    reverse('admin:app_list', kwargs={'app_label': 'i18n'}),
    children=[
        items.MenuItem(_('add language'), reverse('admin:i18n_language_add', )),
        items.MenuItem(_('language list'), reverse('admin:i18n_language_changelist', )),
    ]
)

register_menu(i18n_menu_item, 'thux.i18n')
