# -*- coding: utf-8 -*-

from django import http
from django.conf import settings
from django.views.i18n import javascript_catalog as original_javascript_catalog


# esempio /jsi18n/?app=jmb.ticket&app= ecc..
# la traduzione del progetto viene sempre chiamata
# e sovrascrive evenutalmente le altre
# compatibile con le nuove versioni di django aggiunge jmb.i18n_fix()
# vedi jmb.core.js inibisce la sovrascrittura del catalog che diventa un dizionario
# https://github.com/django/django/blob/master/django/views/i18n.py


def javascript_catalog(request, domain='djangojs', packages=None):
    response = original_javascript_catalog(request, domain, packages)
    response.content = response.content.replace("var catalog = new Array()", "var catalog = {}")
    response.content += ';if(typeof(catalog)!="undefined")jmb.i18n_fix(catalog);\n'
    response.content += ';if(typeof(django.catalog)!="undefined")jmb.i18n_fix(django.catalog);'
    return response


def load_translation(request):
    apps = request.GET.getlist('app', [])
    if not isinstance(apps, list):
        apps = [apps, ]
    prj = settings.ROOT_URLCONF.split(".")[0]
    render = javascript_catalog(request, 'djangojs', apps + [prj, ])
    return render
